Security researchers have warned that hackers are exploiting two critical vulnerabilities in file-transfer software, known as WS_FTP, that have led to the compromise of more than 3.4 million people.

Click here for the full alert.